
public class MuPADHelper {

  public static String getSystemInformation(int number) {
    switch (number) {
    	case 1: return System.getProperty("java.version");
      case 2: return System.getProperty("java.vendor");
      case 3: return System.getProperty("java.vendor.url");
      case 4: return System.getProperty("java.home");
      case 5: return System.getProperty("java.vm.specification.version");
      case 6: return System.getProperty("java.vm.specification.vendor");
      case 7: return System.getProperty("java.vm.specification.name");
      case 8: return System.getProperty("java.vm.version");
      case 9: return System.getProperty("java.vm.vendor");
      case 10: return System.getProperty("java.vm.name");
      case 11: return System.getProperty("java.specification.version");
      case 12: return System.getProperty("java.specification.vendor");
      case 13: return System.getProperty("java.specification.name");
      case 14: return System.getProperty("java.class.version");
      case 15: return System.getProperty("java.class.path");
      case 16: return System.getProperty("java.library.path");
      case 17: return System.getProperty("java.io.tmpdir");
      case 18: return System.getProperty("java.compiler");
      case 19: return System.getProperty("java.ext.dirs");
      case 20: return System.getProperty("os.name");
      case 21: return System.getProperty("os.arch");
      case 22: return System.getProperty("os.version");
      case 23: return System.getProperty("file.separator");
      case 24: return System.getProperty("path.separator");
      case 25: return System.getProperty("line.separator");
      case 26: return System.getProperty("user.name");
      case 27: return System.getProperty("user.home");
      case 28: return System.getProperty("user.dir");
    	default : return "";
    }
  }

  public static String setSystemInformation(int number, String value) {
    switch (number) {
      case 1: return System.setProperty("java.version", value);
      case 2: return System.setProperty("java.vendor", value);
      case 3: return System.setProperty("java.vendor.url", value);
      case 4: return System.setProperty("java.home", value);
      case 5: return System.setProperty("java.vm.specification.version", value);
      case 6: return System.setProperty("java.vm.specification.vendor", value);
      case 7: return System.setProperty("java.vm.specification.name", value);
      case 8: return System.setProperty("java.vm.version", value);
      case 9: return System.setProperty("java.vm.vendor", value);
      case 10: return System.setProperty("java.vm.name", value);
      case 11: return System.setProperty("java.specification.version", value);
      case 12: return System.setProperty("java.specification.vendor", value);
      case 13: return System.setProperty("java.specification.name", value);
      case 14: return System.setProperty("java.class.version", value);
      case 15: return System.setProperty("java.class.path", value);
      case 16: return System.setProperty("java.library.path", value);
      case 17: return System.setProperty("java.io.tmpdir", value);
      case 18: return System.setProperty("java.compiler", value);
      case 19: return System.setProperty("java.ext.dirs", value);
      case 20: return System.setProperty("os.name", value);
      case 21: return System.setProperty("os.arch", value);
      case 22: return System.setProperty("os.version", value);
      case 23: return System.setProperty("file.separator", value);
      case 24: return System.setProperty("path.separator", value);
      case 25: return System.setProperty("line.separator", value);
      case 26: return System.setProperty("user.name", value);
      case 27: return System.setProperty("user.home", value);
      case 28: return System.setProperty("user.dir", value);
      default : return "";
    }
  }
}